
From: William Lee Irwin III <wli@holomorphy.com>

 LD      .tmp_vmlinux1
net/built-in.o(.text+0x154127): In function `__rxrpc_call_acks_timeout': undefined reference to `rxrpc_kdebug'
net/built-in.o(.text+0x154167): In function `__rxrpc_call_rcv_timeout': undefined reference to `rxrpc_kdebug'


Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/rxrpc/rxrpc.h |    7 +++++++
 1 files changed, 7 insertions(+)

diff -puN include/rxrpc/rxrpc.h~fix-rxrpc-compile-errors-with-sysctl=n include/rxrpc/rxrpc.h
--- 25/include/rxrpc/rxrpc.h~fix-rxrpc-compile-errors-with-sysctl=n	2004-08-15 15:09:51.537605872 -0700
+++ 25-akpm/include/rxrpc/rxrpc.h	2004-08-15 15:09:51.541605264 -0700
@@ -16,10 +16,17 @@
 
 extern uint32_t rxrpc_epoch;
 
+#ifdef CONFIG_SYSCTL
 extern int rxrpc_ktrace;
 extern int rxrpc_kdebug;
 extern int rxrpc_kproto;
 extern int rxrpc_knet;
+#else
+#define rxrpc_ktrace	0
+#define rxrpc_kdebug	0
+#define rxrpc_kproto	0
+#define rxrpc_knet	0
+#endif
 
 extern int rxrpc_sysctl_init(void);
 extern void rxrpc_sysctl_cleanup(void);
_
